Vcenter Namespaces Networks Nsx SharedSubnets get

Vcenter Namespaces Networks Nsx SharedSubnets get

Returns information of a Subnet.

This operation was added in vSphere API 9.1.1.0.

Returns an authorization error if you do not have all of the privileges described as follows:

  • Operation execution requires System.Read.
Request
URI
GET
https://{host}/api/vcenter/namespaces/networks/nsx/shared-subnets/{subnet}
COPY
Path Parameters
string
subnet
Required  

Identifier of the Subnet.

The parameter must be an identifier for the resource type: com.vmware.vcenter.namespaces.networks.nsx.SharedSubnet.

Query Parameters
string
project
Required  

Identifier of the Project.

The parameter must be an identifier for the resource type: NSXProject.

string
vpc
Required  

Identifier of the VPC.

The parameter must be an identifier for the resource type: com.vmware.vcenter.namespace_management.networks.nsx.Vpc.


Authentication
This operation uses the following authentication methods.
Responses
200

Information about a Subnet.

Returns Vcenter Namespaces Networks Nsx SharedSubnets Info of type(s) application/json
{
    "subnet": "string",
    "name": "string",
    "nsx_path": "string",
    "parent_vpc": {
        "vpc": "string",
        "nsx_path": "string",
        "name": "string"
    },
    "access_mode": "string",
    "ipv4_subnet_size": 0,
    "ip_addresses": [
        {
            "address": "string",
            "prefix": 0
        }
    ],
    "connectivity_state": "string",
    "subnet_static_config": {
        "static_ip_allocation": {
            "enabled": false
        }
    },
    "subnet_dhcp_config": {
        "mode": "string"
    },
    "vlan_connection": "string"
}
string
subnet
Required  

Identifier of the Subnet.

This property was added in vSphere API 9.1.1.0.

When clients pass a value of this schema as a parameter, the property must be an identifier for the resource type: com.vmware.vcenter.namespaces.networks.nsx.SharedSubnet. When operations return a value of this schema as a response, the property will be an identifier for the resource type: com.vmware.vcenter.namespaces.networks.nsx.SharedSubnet.

string
name
Required  

Name of the Subnet.

This property was added in vSphere API 9.1.1.0.

string
nsx_path
Required  

NSX path of the Subnet.

This property was added in vSphere API 9.1.1.0.

parent_vpc
Required  

Information of the parent VPC.

This property was added in vSphere API 9.1.1.0.

string
access_mode
Required  

Access mode of the Subnet.

For more information see: Vcenter Namespaces Networks Nsx SharedSubnets AccessMode.

This property was added in vSphere API 9.1.1.0.

integer As int64 As int64
ipv4_subnet_size
Required  

Size of the Subnet.

This property was added in vSphere API 9.1.1.0.

array of object
ip_addresses
Required  

Subnet IP addresses.

This property was added in vSphere API 9.1.1.0.

string
connectivity_state
Required  

Connectivity status of the Subnet from other Subnets to the VPC.

For more information see: Vcenter Namespaces Networks Nsx SharedSubnets ConnectivityState.

This property was added in vSphere API 9.1.1.0.

subnet_static_config
Optional

Subnet static IP configuration.

This property was added in vSphere API 9.1.1.0.

If missing or null, the Subnet has no static IP configuration.

subnet_dhcp_config
Optional

Subnet DHCP configuration.

This property was added in vSphere API 9.1.1.0.

If missing or null, the Subnet has no DHCP configuration.

string
vlan_connection
Optional

Distributed VLAN connection path.

This property was added in vSphere API 9.1.1.0.

If missing or null, the Subnet has no vlan connection.


401

if the user cannot be authenticated.

Returns Vapi Std Errors Unauthenticated of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": {
                        "id": "string",
                        "params": {
                            "params": "Vapi Std LocalizationParam Object"
                        }
                    },
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string",
    "challenge": "string"
}
string
challenge
Optional

Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.

For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da1358-2ba4-11e9-b210-d663bd873d93",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"

This property was added in vSphere API 7.0.0.0.

This property is optional because it was added in a newer version than its parent node.


404

if project, vpc or subnet cannot be located or user does not have System.Read privilege.

Returns Vapi Std Errors NotFound of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}

500

if the system reports an error while responding to the request.

Returns Vapi Std Errors Error of type(s) application/json
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}
array of object
messages
Required  

Stack of one or more localizable messages for human error consumers.

The message at the top of the stack (first in the list) describes the error from the perspective of the operation the client invoked.

Each subsequent message in the stack describes the "cause" of the prior message.

object
data
Optional

Data to facilitate clients responding to the operation reporting a standard error to indicating that it was unable to complete successfully.

Operations may provide data that clients can use when responding to errors. Since the data that clients need may be specific to the context of the operation reporting the error, different operations that report the same error may provide different data in the error. The documentation for each each operation will describe what, if any, data it provides for each error it reports.

The Vapi Std Errors ArgumentLocations, Vapi Std Errors FileLocations, and Vapi Std Errors TransientIndication schemas are intended as possible values for this property. Vapi Std DynamicID may also be useful as a value for this property (although that is not its primary purpose). Some resources may provide their own specific schemas for use as the value of this property when reporting errors from their operations.

Some operations will not set this property when reporting errors.

string
error_type
Required  

Discriminator field to help API consumers identify the structure type.

For more information see: Vapi Std Errors Error Type.

This property was added in vSphere API 6.7.2.

Can be missing or null for compatibility with preceding implementations.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/vcenter/namespaces/networks/nsx/shared-subnets/{subnet}?project=value&vpc=v